import type { AtRuleUnionDeclaration, FormatResult, Result } from '../../../types';
/**
 * 创建注入函数
 * @param funcName 函数名
 */
export declare const createInjectMixinTemplateFunction: (funcName: string) => (result: Result) => Result;
/**
 * 创建覆盖函数
 * @param funcName 函数名
 * @returns
 */
export declare const createCoverFunc: (funcName: string) => (atRule: AtRuleUnionDeclaration) => void;
/**
 * 创建相关函数
 * @param funcName
 * @returns
 */
export declare function createColorFunction(funcName: string): [(atRule: AtRuleUnionDeclaration) => void, FormatResult];
